## spike 0.8.0+dfsg

=== Makefile ===
#    \\ SPIKE: Secure your secrets with SPIFFE. — https://spike.ist/
#  \\\\\ Copyright 2024-present SPIKE contributors.
# \\\\\\\ SPDX-License-Identifier: Apache-2.0

include ./makefiles/Main.mk
include ./makefiles/BareMetal.mk
include ./makefiles/Kubernetes.mk
include ./makefiles/FederationDemo.mk
include ./makefiles/Test.mk

=== debian/changelog ===
spike (0.8.0+dfsg-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump copyright years
  * Cleanup Salsa CI
  * Drop Files-Excluded trailing slashes, suggested by awm
  * Silence Salsa lintian

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Feb 2026 08:21:35 +0100

spike (0.8.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1122131)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Dec 2025 00:14:59 +0100

=== debian/control ===
Source: spike
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-cloudflare-circl-dev,
 golang-github-google-goexpect-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-spiffe-spike-sdk-go-dev,
 golang-golang-x-term-dev,
 golang-gopkg-yaml.v3-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/spike
Vcs-Git: https://salsa.debian.org/go-team/packages/spike.git
Homepage: https://github.com/spiffe/spike
XS-Go-Import-Path: github.com/spiffe/spike

Package: spike
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using}
Description: lightweight secrets using SPIFFE identity control plane
 Secure Production Identity for Key Encryption (SPIKE)
 .
 SPIKE is a lightweight secrets store that uses SPIFFE
 https://spiffe.io/ as its identity control plane.
 .
 SPIKE protects your secrets and helps your ops, SREs, and sysadmins
 #sleepmore.
 .
 For more information, see the documentation (https://spike.ist/).
 .
 This package contains the command-line tool 'spike'.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := app/VERSION.txt

export DH_GOLANG_EXCLUDES := \
	^github.com/spiffe/spike/ci \
	^github.com/spiffe/spike/app/bootstrap \
	^github.com/spiffe/spike/app/demo \
	^github.com/spiffe/spike/app/keeper \
	^github.com/spiffe/spike/app/nexus \
	# EOL

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_auto_install:
	mv -v ./_build/bin/cmd ./_build/bin/spike

SKIP="TestSQLitePolicy|TestSQLiteSecret|TestInitializeSqliteBackend|TestInitializeBackend"
# SKIP="TestSQLitePolicy_EncryptionWithDifferentKeys|TestSQLitePolicy_ErrorHandling|TestSQLitePolicy_CreateAndGet|TestSQLitePolicy_Persistence|TestSQLiteSecret_NewSecret|TestSQLiteSecret_Persistence|TestSQLiteSecret_VersionPersistence|TestInitializeSqliteBackend_ZeroKey|TestInitializeSqliteBackend_MultipleInitializations|TestInitializeSqliteBackend_Success|TestInitializeBackend_SQLite_WithValidKey|TestInitializeBackend_KeyValidation_PartiallyZero|TestInitializeBackend_KeyValidation_LastByteNonZero"
override_dh_auto_test:
	env DATA_PATH=$(CURDIR)/.spike/data \
		dh_auto_test $(DH_BUILD_OPTS) -- -skip=$(SKIP)
	-dh_auto_test $(DH_BUILD_OPTS) -- -run=$(SKIP)

=== debian/watch ===
Version: 5
Template: Github
Owner: spiffe
Project: spike
Dversion-Mangle: s/\+dfsg\d*$//
Repack-Suffix: +dfsg">

## spike 2.9

=== dcedump/Makefile ===
.SUFFIXES: .a .o .c
CC              =  gcc
CFLAGS          =  -Wall -funsigned-char -c -fPIC -ggdb

BINS = ifids dcedump

ALL = $(BINS)

DCE_OBJS = dcedump.o tcpstuff.o

.c.o:
	${CC} ${CFLAGS} ${INCLUDE} $<

all: $(ALL)

ifids: ifids.o tcpstuff.o
	$(CC) -o ifids ifids.o tcpstuff.o

dcedump: $(DCE_OBJS)
	$(CC) -o dcedump $(DCE_OBJS)


clean:
	rm -f *~ *.bak
	rm -f include/*~ include/*.bak
	rm -f *.o
	rm -f dcedump

=== src/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/spike
pkgincludedir = $(includedir)/spike
pkglibdir = $(libdir)/spike
pkglibexecdir = $(libexecdir)/spike
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS install-sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wall -funsigned-char -c -fPIC -ggdb
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"spike\" -DVERSION=\"2.9\" -DHAVE_LIBC=1 -DHAVE_LIBSSL=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_MALLOC_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DRETSIGTYPE=void -DHAVE_VPRINTF=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_STRDUP=1 -DHAVE_STRSTR=1 -DHAVE_STRTOUL=1
DEPDIR = .deps
DL_LIB = -ldl
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lssl -lc 
LTLIBOBJS = 
MAKEINFO = makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = spike
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 2.9
abs_builddir = /home/dookie/spike-2.9/src
abs_srcdir = /home/dookie/spike-2.9/src
abs_top_builddir = /home/dookie/spike-2.9/src
abs_top_srcdir = /home/dookie/spike-2.9/src
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dookie/spike-2.9/src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUFFIXES = .a .o .c

#webfuzz goes last so we don't crash on it early...
#removed: oldmsrpcfuzz
BINS = ss_spike pmspike statd_spike x11_spike post_fuzz post_spike msrpcfuzz do_post citrix ntlm2 ntlm_brute closed_source_web_server_fuzz quakeserver quake halflife webfuzz dltest gopherd generic_listen_tcp libdlrpc.so generic_web_server_fuzz generic_chunked generic_web_server_fuzz2 generic_send_udp generic_send_tcp sendmsrpc sunrpcfuzz dceoversmb msrpcfuzz_udp line_send_tcp
ALL = $(BINS)
INCLUDE = -I/usr/local/include -I../include  -Ilibntlm-0.21/
LIBSOCKET = 
SPIKE_OBS = spike.o listener.o hdebug.o tcpstuff.o spike_dcerpc.o base64.o udpstuff.o spike_oncrpc.o
SS_OBS = $(SPIKE_OBS) ss_spike.o
PM_OBS = $(SPIKE_OBS) pmspike.o
SD_OBS = $(SPIKE_OBS) statd_spike.o
X11_OBS = $(SPIKE_OBS) x11_spike.o
PS_OBS = $(SPIKE_OBS) post_spike.o

#SPIKE_HEADERS = ../include/spike.h 
HC_LIBS = $(LIBSOCKET) 
all: all-am

.SUFFIXES:
.SUFFIXES: .a .o .c
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod u+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \

=== src/libntlm-0.21/Makefile ===
CFLAGS=-Wall -g

DEST=/usr/local
LIBDEST=$(DEST)/lib
INCDEST=$(DEST)/include

SRCS=smbdes.c smbencrypt.c smbmd4.c smbutil.c
OBJS=smbdes.o smbencrypt.o smbmd4.o smbutil.o

libntlm.a: $(OBJS)
	ar cru libntlm.a $(OBJS)
	ranlib libntlm.a

install: libntlm.a ntlm.h
	install libntlm.a $(LIBDEST)
	install ntlm.h $(INCDEST)

clean: 
	rm -f *.a *.o *~ *.bak \#*\#

depend:
	makedepend $(SRCS)
# DO NOT DELETE

=== debian/changelog ===
spike (2.9-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:21:48 +0200

spike (2.9-1kali9) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  [ Steev Klimaszewski ]
  * Update d/watch to point to no upstream
  * Add lintian overrides
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 11 Jan 2023 12:32:16 -0600

spike (2.9-1kali8) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Raphaël Hertzog ]
  * Fix build system with recent toolchain

  [ Sophie Brun ]
  * dh_auto_clean: Remove generated files with old automake

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Feb 2021 18:21:59 +0100

spike (2.9-1kali7) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Jan 2021 14:38:43 +0100

spike (2.9-1kali6) kali-dev; urgency=medium

  * Fix patch with correct gcc invocation.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 18:27:03 +0100

spike (2.9-1kali5) kali-dev; urgency=medium

  * Patch Makefile.in and not Makefile. Otherwise the change is overwritten
    when ./configure runs.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 18:01:34 +0100

spike (2.9-1kali4) kali-dev; urgency=medium

  * Fix build on armel/armhf by improving the Makefile and avoiding stripping
    static binary files that spike ships.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 17:48:35 +0100

spike (2.9-1kali3) kali-dev; urgency=medium

  * Do not hardcode dependencies on C libraries.
  * Modernize packaging.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 00:49:53 +0100

spike (2.9-1kali2) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 16:04:02 -0500

spike (2.9-1kali1) kali; urgency=low

  * Fixed depends

 -- Devon Kearns <dookie@kali.org>  Sat, 29 Dec 2012 13:14:00 -0700

spike (2.9-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 27 Dec 2012 07:58:37 -0700

=== debian/control ===
Source: spike
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.1
Homepage: http://www.immunitysec.com/resources-freesoftware.shtml

Package: spike
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network protocol fuzzer
 When you need to analyze a new network protocol for buffer
 overflows or similar weaknesses, the SPIKE is the tool of
 choice for professionals. While it requires a strong
 knowledge of C to use, it produces results second to none
 in the field.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	rm src/aclocal.m4
	rm src/Makefile
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps -X/dcedump/

override_dh_strip:
	dh_strip -X/dcedump/

## spike recorder-0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.18)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

project(spike_recorder VERSION "0.0.1")

if(UNIX AND NOT APPLE)
	set(LINUX TRUE)
endif()

# Currently, Scikit-build does not support FindPython, so we convert the
# provided hints ourselves.
if(SKBUILD)
  set(Python_EXECUTABLE "${PYTHON_EXECUTABLE}")
  set(Python_INCLUDE_DIR "${PYTHON_INCLUDE_DIR}")
  set(Python_LIBRARY "${PYTHON_LIBRARY}")
  set(DUMMY "${PYTHON_VERSION_STRING}")  # Not needed, silences a warning
endif()

set(Python_FIND_IMPLEMENTATIONS CPython PyPy)  # PyPy requires 3.18
find_package(Python REQUIRED COMPONENTS Interpreter Development)

# Scikit-Build does not add your site-packages to the search path automatically,
# so we need to add it _or_ the pybind11 specific directory here.
execute_process(
  COMMAND
    "${Python_EXECUTABLE}" -c
    "import pybind11; print(pybind11.get_cmake_dir())"
  OUTPUT_VARIABLE _tmp_dir
  OUTPUT_STRIP_TRAILING_WHITESPACE COMMAND_ECHO STDOUT)
list(APPEND CMAKE_PREFIX_PATH "${_tmp_dir}")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/extern/Spike-Recorder/cmake")

# Now we can find pybind11
find_package(pybind11 CONFIG REQUIRED)

find_package(hidapi)
find_package(SDL2 REQUIRED)
find_package(sdl2-image CONFIG REQUIRED)
find_package(OpenGL REQUIRED COMPONENTS OpenGL)
find_package(cppzmq REQUIRED)
find_package(BASS REQUIRED)

# If macos or linux, SDL2 sets -Wl,-undefined,error, we need to overide this
# for pybind11 linking because it seems to expect to use dynamic lookup to find
# the Python libraries. All of this seems like a big hack, FIXME
if (LINUX OR APPLE)
  get_target_property(SDL_LIBS SDL2::SDL2-static IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE)
  string(REPLACE "-Wl,-undefined,error;" "" SDL_LIBS_FIX "${SDL_LIBS}")
  string(REPLACE "-Wl,--no-undefined;" "" SDL_LIBS_FIX "${SDL_LIBS_FIX}")
  set_property(TARGET SDL2::SDL2-static PROPERTY IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "${SDL_LIBS_FIX}")  
  #set_property(TARGET SDL2::SDL2-static APPEND PROPERTY IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "-Xlinker -undefined;-Xlinker dynamic_lookup")
endif()


# General include directories for the Spike-Recorder application
include_directories("extern/Spike-Recorder/src" "extern/Spike-Recorder/src/libraries" "extern/Spike-Recorder/support")

file(GLOB SOURCES
        "extern/Spike-Recorder/src/*.cpp"
        "extern/Spike-Recorder/src/widgets/*.cpp"
        "extern/Spike-Recorder/src/engine/*.cpp"
        "extern/Spike-Recorder/src/libraries/*.cpp")

# Need to remove some firmware upgrade source, this is disabled for all builds for now
list(FILTER SOURCES EXCLUDE REGEX "FirmwareUpdateView.cpp")

# Also remove main, we are building a shared library\pybind11 module
list(FILTER SOURCES EXCLUDE REGEX "main.cpp")

# Add OS specific source files and libs
if (WIN32)
	list(APPEND SOURCES
			"extern/Spike-Recorder/src/native/PathsWin.cpp"
			"extern/Spike-Recorder/src/widgets/native/FileDialogWin.cpp"
			"extern/Spike-Recorder/src/defaults/DefaultConfig.cpp")

	# setupapi.lib is needed for some functions in HID code on windows it seems. MSVC knows where this lib is so just need
	# to add it by name.
	list(APPEND PLATFORM_LIBS "setupapi.lib")
elseif (LINUX)
	list(APPEND SOURCES
			"extern/Spike-Recorder/src/native/PathsLinux.cpp"
			"extern/Spike-Recorder/src/widgets/native/FileDialogLinux.cpp")
elseif (APPLE)
	list(APPEND SOURCES
		"extern/Spike-Recorder/src/native/PathsMac.cpp"
		"extern/Spike-Recorder/src/native/KeyboardGeneratorMac.cpp"
		"extern/Spike-Recorder/src/native/SerialPortsScanMac.cpp"
		"extern/Spike-Recorder/src/widgets/native/FileDialogMac.cpp"
		"extern/Spike-Recorder/src/widgets/native/FileDialogMac.mm"
		"extern/Spike-Recorder/src/defaults/DefaultConfig.cpp"
		)
endif ()

pybind11_add_module(_core MODULE src/spike_recorder_mod.cpp ${SOURCES})

target_link_libraries(_core PUBLIC
	SDL2::SDL2-static
	SDL2::SDL2_image
	hidapi::hidapi
	OpenGL::GL
	BASS
	cppzmq
	${PLATFORM_LIBS})

target_compile_definitions(_core PUBLIC -DSIGSLOT_PURE_ISO -DSDL_MAIN_HANDLED)

if (WIN32)
	target_compile_definitions(_core PUBLIC -D_USE_MATH_DEFINES -DNOMINMAX)
	set_property(TARGET _core PROPERTY MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
endif ()

# We need to copy data/ to the build directory too
add_custom_command(TARGET _core POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory
    ${CMAKE_CURRENT_LIST_DIR}/extern/Spike-Recorder/data
    $<TARGET_FILE_DIR:_core>/data
)
install(DIRECTORY $<TARGET_FILE_DIR:_core>/data DESTINATION .)

# Add a post build command to copy bass runtime libs
if (WIN32)
  add_custom_command(TARGET _core POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/bass.dll"
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/bass_aac.dll"
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/bassalac.dll"
    $<TARGET_FILE_DIR:_core>)

    install(FILES $<TARGET_FILE_DIR:_core>/bass.dll DESTINATION .)
    install(FILES $<TARGET_FILE_DIR:_core>/bass_aac.dll DESTINATION .)
    install(FILES $<TARGET_FILE_DIR:_core>/bassalac.dll DESTINATION .)

endif()
if (LINUX)
  add_custom_command(TARGET _core POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/libbass.so"
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/libbass_aac.so"
    "${CMAKE_CURRENT_BINARY_DIR}/bass/x64/libbassalac.so"
    $<TARGET_FILE_DIR:_core>)

    install(FILES $<TARGET_FILE_DIR:_core>/libbass.so DESTINATION .)
    install(FILES $<TARGET_FILE_DIR:_core>/libbass_aac.so DESTINATION .)
    install(FILES $<TARGET_FILE_DIR:_core>/libbassalac.so DESTINATION .)

endif()
if (APPLE)
  add_custom_command(TARGET _core POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${CMAKE_CURRENT_BINARY_DIR}/bass/libbass.dylib"
    $<TARGET_FILE_DIR:_core>)

    install(FILES $<TARGET_FILE_DIR:_core>/libbass.dylib DESTINATION .)
endif()

target_compile_definitions(_core PRIVATE VERSION_INFO=${PROJECT_VERSION})

install(TARGETS _core DESTINATION .)

## spike recorder-0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,8 @@
 find_package(OpenGL REQUIRED COMPONENTS OpenGL)
 find_package(cppzmq REQUIRED)
 find_package(BASS REQUIRED)
+find_package(nlohmann_json REQUIRED)
+
 
 # If macos or linux, SDL2 sets -Wl,-undefined,error, we need to overide this
 # for pybind11 linking because it seems to expect to use dynamic lookup to find
@@ -105,6 +107,7 @@
 	OpenGL::GL
 	BASS
 	cppzmq
+	nlohmann_json::nlohmann_json
 	${PLATFORM_LIBS})
 
 target_compile_definitions(_core PUBLIC -DSIGSLOT_PURE_ISO -DSDL_MAIN_HANDLED)

## spike recorder-0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
+
+# SET(CMAKE_BUILD_TYPE Debug)
 
 project(spike_recorder VERSION "0.0.1")
